     	SUBROUTINE INICOM
C
C  PROGRAMMER:  R.S. ZHOU
C		ALFRED UNIVERSITY   FEB-1987
C
C	THIS ROUTINE INITIALIZES THE COMMON BLOCKS
C	OF RAW & DIF FILE CONVERSION
C
     	INCLUDE 'FILECONV.CBS'
     	CHARACTER DAY*9, TIM*8
C
C  INITIALIZE THE HEADER BLOCK...
C
     	ITYP = ITYI
     	NHDB = 5
     	ISBF = 6
     	LENG = 3*NSBR
C
C  INITIALIZE THE SPECIFICATION BLOCK REFERENCES...
C
     	DO I=1, NSBR
     	   IRPR(I,1) = 0
     	   IRPR(I,2) = 0
     	   IRLR(I) = '    '
     	ENDDO

     	IRPR(1,1) = 73
     	IRPR(1,2) = 72
     	IRLR(1) = 'INST'

     	IRPR(3,1) = 42
     	IRPR(3,2) = 31
     	IRLR(3) = 'RADE'

     	IRPR(4,1) = 145
     	IRPR(4,2) = 15
     	IRLR(4) = 'LIME'

     	IRPR(6,1) = 163
     	IRPR(6,2) = MNP
     	IF( ITYP.EQ.1 ) IRLR(6) = 'RAWD'
     	IF( ITYP.EQ.2 ) IRLR(6) = 'DIFD'

     	IRPR(10,1) = 160
     	IRPR(10,2) = 3
     	IRLR(10) = 'EXPR'
C
C  INITIALIZE THE INSTRUMENTAION BLOCK...
C
     	IELE = 6		!ANODE = USER SPECIFIED
     	DO I=1, 5
     	   WAVE(I,6) = 0.0
     	ENDDO
C
C  INITIALIZE THE FILE DESCRIPTION BLOCK...
C
     	NAME(1) = 'FILE'
     	NAME(2) = 'CONV'
     	NAME(3) = '    '
     	CALL DATE( DAY )
     	CALL TIME( TIM )
     	DATM = DATCOD( DAY )
     	TIMM = TIMCOD( TIM )
     	FTYP = 0
     	MTYP = 0
     	NREP = 1
     	MPRO = 1
     	NRNG = 1
     	SCAN = 'S'
     	STYP = 'N'
     	DO I=1, 20
     	   SLID(I) = ' '
     	ENDDO
     	SLID(1) ='FILE'
     	SLID(2) ='CONV'
C
C  INITIALIZE THE LINE MEASUREMENT BLOCK...
C
     	DO I=1, 14
     	   BANG(I) = 0.0
     	ENDDO
     	BANG(10) = 1.0		!STEP COUNT TIME (SEC)
C
C  INITIALIZE THE DIFILE BLOCK...
C
     	NPKS = 0		!PEAK COUNTER
     	IRES = 0		!RESIDUAL FLAG: OFF
     	JRES = 1		!RESIDUAL FLAG: OFF
     	CUTI(1) = 0.1
     	CUTI(2) = 100.
     	CUTF(1) = 0.010
     	CUTF(2) = 9.999
C
C  INITIALIZE THE INTENSITY DATA BLOCK...
C
     	NPTS = 0		!POINT COUNTER
     	MODE = 0		!TWO-THETA SCAN
     	RETURN
     	END
